import*as React from'react';import {Error500}from'@admin-layout/ant-ui';import {useRouteError,isRouteErrorResponse}from'@remix-run/react';import {Navigate}from'react-router-dom';function ErrorBoundary() {
    const error = useRouteError();
    const [hasAccountNotFoundError, setHasAccountNotFoundError] = React.useState(false);
    const [isLoading, setIsLoading] = React.useState(true);
    React.useEffect(() => {
        console.trace(error);
        if (isRouteErrorResponse(error)) {
            const data = error?.data;
            if (data?.graphQLErrors?.length) {
                const graphqlError = data?.graphQLErrors[0];
                if (graphqlError.type === 'ACCOUNT_NOT_FOUND') {
                    setHasAccountNotFoundError(true);
                }
            }
        }
        setIsLoading(false);
    }, [error]);
    if (!isLoading) {
        if (isRouteErrorResponse(error)) {
            return hasAccountNotFoundError ? (React.createElement(Navigate, { to: "/verify-user" })) : (React.createElement(Error500, { title: error.statusText, status: error.status, data: error.data }));
        }
        else if (error instanceof Error) {
            return React.createElement(Error500, { title: error.message, status: "500", data: error.stack });
        }
        else {
            return React.createElement(Error500, { title: "Unknown Error", status: "500", data: error });
        }
    }
}export{ErrorBoundary};